// Code is generated. DO NOT EDIT.

package aws

import (
	"context"

	"github.com/aws/aws-sdk-go-v2/service/mq"
	"github.com/jckuester/awstools-lib/aws"
	"github.com/jckuester/awstools-lib/terraform"
)

func ListMqConfiguration(ctx context.Context, client *aws.Client) ([]terraform.Resource, error) {
	var result []terraform.Resource

	resp, err := client.Mqconn.ListConfigurations(ctx, &mq.ListConfigurationsInput{})
	if err != nil {
		return nil, err
	}

	if len(resp.Configurations) > 0 {

		for _, r := range resp.Configurations {

			result = append(result, terraform.Resource{
				Type:      "aws_mq_configuration",
				ID:        *r.Id,
				Profile:   client.Profile,
				Region:    client.Region,
				AccountID: client.AccountID,
			})
		}
	}

	return result, nil
}
